<script>
import { AosAnimationsMixin, LocalizedHrefMixin } from '../mixins';
import { NAV_CONTENT_TYPES } from '../common/content-types';
import { convertToCaseSensitiveLocale } from '../common/util';
import { getNavigationClient } from '~/plugins/contentful';
import { generateLayoutMeta } from '../common/meta';
export default {
  mixins: [LocalizedHrefMixin, AosAnimationsMixin],
  data() {
    return {
      nav: {},
      footer: {},
      contentfulEntryUrl: '',
    };
  },
  nuxtI18n: false,
  async fetch() {
    const navEntry = await getNavigationClient().getEntries({
      content_type: NAV_CONTENT_TYPES.NAVIGATION,
      'sys.id': '39gU0N2cUS5Up08GYONq93',
      include: 3,
      locale: convertToCaseSensitiveLocale(this.$i18n.locale),
    });

    const [nav] = navEntry.items;
    this.nav = nav.fields;

    const footerEntry = await getNavigationClient().getEntries({
      content_type: NAV_CONTENT_TYPES.FOOTER,
      'sys.id': 'QxdoqHd5ixKTwFjIHYvYI',
      include: 3,
      locale: convertToCaseSensitiveLocale(this.$i18n.locale),
    });

    const [footer] = footerEntry.items;

    this.footer = footer;
  },
  head() {
    return generateLayoutMeta(this.$route.path, this.$i18n.locale);
  },
  created() {
    this.$nuxt.$on('contentfulIds', (data) => {
      const { spaceId, entryId } = data;
      if (spaceId !== undefined && entryId !== undefined) {
        this.contentfulEntryUrl = `https://app.contentful.com/spaces/${spaceId}/entries/${entryId}`;
      }
    });
  },
};
</script>

<template>
  <div>
    <nav>
      <img
        class="logo"
        src="/nuxt-images/free-trial/free-trial-nav-logo.svg"
        alt="Free Trial Logo"
      />
      <SlpButton
        v-if="nav.freeTrial && !$route.path.includes('sales')"
        :href="nav.freeTrial.fields.href"
        variant="secondary"
        data-ga-name="sales"
        data-ga-location="header"
      >
        {{ nav.freeTrial.fields.text }}
        <SlpIcon
          class="learn-more-icon slp-ml-8"
          name="chevron-lg-right"
          variant="product"
        />
      </SlpButton>
    </nav>
    <div ref="localizedContainer">
      <Nuxt role="main" />
    </div>
    <SlpMinimizedFooter
      :contentful-footer-data="footer"
      :contentful-entry-url="contentfulEntryUrl"
    />
  </div>
</template>

<style lang="scss" scoped>
nav {
  display: flex;
  justify-content: space-between;
  padding: 13px $spacing-32;
  left: 0;
  position: sticky;
  right: 0;
  top: 0;
  z-index: 1025;
  background: $color-surface-50;
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);

  .logo {
    object-fit: contain;
    display: block;
  }

  .slp-btn {
    @media (max-width: $breakpoint-md) {
      background-color: $color-surface-700;
      color: $color-surface-50;
      border: 1px solid $color-surface-700;
      &:hover {
        border: solid 1px $color-surface-700;
        background-color: $color-surface-50;
        color: $color-surface-700;
      }
    }
    @media (min-width: $breakpoint-md) {
      border: solid 1px $color-surface-700;
      &:hover {
        border: solid 1px $color-surface-700;
      }
    }
  }

  @media (max-width: $breakpoint-md) {
    flex-wrap: wrap;
    flex-direction: column-reverse;
    justify-content: center;
    padding: 0;
    &:deep(.slp-btn) {
      border-radius: 0;
      justify-content: center;
    }

    .logo {
      width: 133.226px; /* Mobile-specific size */
      margin: 0; /* Remove centering margin for mobile */
      margin: $spacing-16;
    }
  }
}
</style>
